Box work and access
Get prompt run status
Returns first-class status for a queued/running/finished prompt so clients do not infer completion from box state and events.
GET
/
boxes
/
{boxId}
/
prompts
/
{promptId}
Get prompt run status
curl --request GET \
--url https://ascii.dev/api/box/v1/boxes/{boxId}/prompts/{promptId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ascii.dev/api/box/v1/boxes/{boxId}/prompts/{promptId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ascii.dev/api/box/v1/boxes/{boxId}/prompts/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "<string>",
"id": "<string>",
"promptRun": {
"id": "<string>",
"promptId": "<string>",
"boxId": "<string>",
"done": true,
"createdAt": "2023-11-07T05:31:56Z",
"model": "<string>",
"reasoningEffort": "<string>"
}
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": true,
"type": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Path Parameters
Public Box id returned by create/list/get box calls.
Pattern:
^bx_[23456789abcdefghjkmnpqrstuvwxyz]{8}$⌘I
Get prompt run status
